/rotated-secret-create-azureAsk AIpost https://api.akeyless.io/rotated-secret-create-azureBody Paramsapi-idstringAPI ID to rotate (relevant only for rotator-type=api-key)api-keystringAPI key to rotate (relevant only for rotator-type=api-key)application-idstringId of the azure app that hold the serect to be rotated (relevant only for rotator-type=api-key & authentication-credentials=use-target-creds)authentication-credentialsstringDefaults to use-user-credsThe credentials to connect with use-user-creds/use-target-credsauto-rotatestringWhether to automatically rotate every --rotation-interval days, or disable existing automatic rotation [true/false]delete_protectionstringProtection from accidental deletion of this object [true/false]descriptionstringDescription of the objectexplicitly-set-sastringDefaults to falseIf set, explicitly provide the storage account details [true/false]grace-rotationstringEnable graceful rotation (keep both versions temporarily). When enabled, a new secret version is created while the previous version is kept for the grace period, so both versions exist for a limited time. [true/false]grace-rotation-hourint32The Hour of the grace rotation in UTCgrace-rotation-intervalstringThe number of days to wait before deleting the old key (must be bigger than rotation-interval)grace-rotation-timingstringWhen to create the new version relative to the rotation date [after/before]item-custom-fieldsobjectAdditional custom fields to associate with the itemitem-custom-fields objectjsonbooleanDefaults to falseSet output format to JSONtruefalsekeystringThe name of a key that used to encrypt the secret value (if empty, the account default protectionKey key will be used)lock-during-sra-sessionstringLock this secret for read/update while an SRA session is activemax-versionsstringSet the maximum number of versions, limited by the account settings defaults.namestringrequiredRotated secret namepassword-lengthstringThe length of the password to be generatedresource-group-namestringThe resource group name (only relevant when explicitly-set-sa=true)resource-namestringThe name of the storage account (only relevant when explicitly-set-sa=true)rotate-after-disconnectstringStringOrBool accepts JSON strings, booleans, and numbers for backward compatibility with older SDK versions that send boolean values for rotate-after-disconnect.rotation-event-inarray of stringsHow many days before the rotation of the item would you like to be notifiedrotation-event-inADD stringrotation-hourint32The Hour of the rotation in UTCrotation-intervalstringThe number of days to wait between every automatic key rotation (1-365)rotator-typestringrequiredThe rotator type. options: [target/password/api-key/azure-storage-account]secure-access-disable-concurrent-connectionsbooleanEnable this flag to prevent simultaneous use of the same secrettruefalsesecure-access-enablestringEnable/Disable secure remote access [true/false]secure-access-urlstringDestination URL to inject secretssecure-access-webbooleanDefaults to falseEnable Web Secure Remote Accesstruefalsesecure-access-web-browsingbooleanDefaults to falseSecure browser via Akeyless's Secure Remote Access (SRA)truefalsesecure-access-web-proxybooleanDefaults to falseWeb-Proxy via Akeyless's Secure Remote Access (SRA)truefalsestorage-account-key-namestringThe name of the storage account key to rotate [key1/key2/kerb1/kerb2] (relevat to azure-storage-account)tagsarray of stringsAdd tags attached to this objecttagsADD stringtarget-namestringrequiredThe target name to associatetokenstringAuthentication token (see /auth and /configure)uid-tokenstringThe universal identity token, Required only for universal_identity authenticationusernamestringThe user principal name to rotate his password (relevant only for rotator-type=password)Responses 200rotatedSecretCreateAzureResponse wraps response body. defaulterrorResponse wraps any error to return it as a JSON object with one "error" field.Updated 7 months ago